﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPFTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            List<string> colsToHide = new List<string> { "Id" };

            if (e.FieldLayout != null)
            {
                if (!e.FieldLayout.IsDefault)
                    e.FieldLayout.Settings.LabelLocation = LabelLocation.Hidden;

                foreach (var field in e.FieldLayout.Fields)
                { 
                    if(field.Owner.Key.ToString() == "TopOrders")
                    {
                        field.Width = FieldLength.Auto;
                    }                  
                       

                    if (colsToHide.Contains(field.Name))
                    {
                        field.Visibility = Visibility.Collapsed;                          
                    }
                    field.Settings.AllowEdit = false;
                }
            }
        }

      
        private void XamDataGrid1_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
            if (e.Record.FieldLayout.Key.ToString() == "ChildOrders")
            {
                foreach(var cell in ((Infragistics.Windows.DataPresenter.DataRecord)e.Record).Cells)
                {
                    cell.DataPresenter.MinWidth = 0;
                    cell.Field.Width = new FieldLength(((Infragistics.Windows.DataPresenter.ExpandableFieldRecord)e.Record.ParentRecord).Field.Owner.Fields[cell.Field.Index].CellWidthResolved);
                 
                }
               
            }
        }
    }
}
